<?php
	require("core/InstanceKey.inc.php");
	require("core/InstanceReference.inc.php");
	require("core/InstanceSet.inc.php");
	require("core/TenantReference.inc.php");

	require("core/KnownClassGuids.inc.php");
	require("core/KnownInstanceGuids.inc.php");
	require("core/KnownAttributeGuids.inc.php");
	require("core/KnownRelationshipGuids.inc.php");
	require("core/KnownMethodBindingGuids.inc.php");
	
	require("core/OmsContext.inc.php");

	require("oms/OmsMetadataException.inc.php");
	require("oms/Oms.inc.php");
	require("oms/DatabaseOms.inc.php");
	require("oms/MySQLDatabaseOms.inc.php");

	require("oop/MethodImplementation.inc.php");
	require("oop/MethodBinding.inc.php");

	$filenames = glob(DIRNAME(__FILE__) . "/oop/methodImplementations/*.inc.php");
	foreach ($filenames as $filename)
	{
		require ($filename);
	}
	
	require("search/SearchHelper.inc.php");
	require("search/SearchResult.inc.php");

	require("ui/DisplayOption.inc.php");
	require("ui/ElementContent.inc.php");
	require("ui/ValidationResult.inc.php");

	require("ui/controls/InstanceBrowser.inc.php");

	require("ui/renderers/html/Editor.inc.php");
	require("ui/renderers/html/HTMLRenderer.inc.php");

	require("ui/tasks/Task.inc.php");
	require("ui/tasks/HardcodedTask.inc.php");

?>